| Flutter iOS Embedder |

Instance Methods | Protected Attributes | List of all members
FlutterDrawable Class Reference
Inheritance diagram for FlutterDrawable:

## Instance Methods
(instancetype) | - initWithTexture:layer:drawableId:
Instance Methods inherited from <FlutterMetalDrawable>
(void) | - flutterPrepareForPresent:
(void) | - flutterPrepareForPresent:

## Protected Attributes
FlutterTexture * | _texture
__weak FlutterMetalLayer * | _layer
NSUInteger | _drawableId
BOOL | _presented

## Detailed Description

Definition at line 84 of file FlutterMetalLayer.mm.

## Method Documentation

## ◆ initWithTexture:layer:drawableId:

- (instancetype) initWithTexture: |  | (FlutterTexture*) | texture
layer: |  | (FlutterMetalLayer*) | layer
drawableId: |  | (NSUInteger) | drawableId

Definition at line 99 of file FlutterMetalLayer.mm.

99 :(FlutterTexture*)texture
100 layer:(FlutterMetalLayer*)layer
101 drawableId:(NSUInteger)drawableId {
102 if (self = [super init]) {
103 _texture = texture;
104 _layer = layer;
105 _drawableId = drawableId;
106 }
107 return self;
108 }

References _drawableId, _layer, and _texture.

## Member Data Documentation

## ◆ _drawableId

- (NSUInteger) _drawableId
| protected

Definition at line 87 of file FlutterMetalLayer.mm.

Referenced by initWithTexture:layer:drawableId:.

## ◆ _layer

- (__weak FlutterMetalLayer*) _layer
| protected

Definition at line 86 of file FlutterMetalLayer.mm.

Referenced by initWithTexture:layer:drawableId:.

## ◆ _presented

- (BOOL) _presented
| protected

Definition at line 88 of file FlutterMetalLayer.mm.

## ◆ _texture

- (FlutterTexture*) _texture
| protected

Definition at line 85 of file FlutterMetalLayer.mm.

Referenced by initWithTexture:layer:drawableId:.

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/FlutterMetalLayer.mm

FlutterDrawable::_texture
FlutterTexture * _texture
Definition: FlutterMetalLayer.mm:85
FlutterDrawable::_drawableId
NSUInteger _drawableId
Definition: FlutterMetalLayer.mm:87
FlutterTexture
Definition: FlutterMetalLayer.mm:54
FlutterDrawable::_layer
__weak FlutterMetalLayer * _layer
Definition: FlutterMetalLayer.mm:86
FlutterMetalLayer
Definition: FlutterMetalLayer.h:12